import { MerkleTreeHashNode } from "./HashNode"

export class MerkleTreeLayerNode {
    constructor(){
        /**
         * @type {Array<MerkleTreeHashNode>}
         */
        this.arr = []
    }

    get length(){
        return this.arr.length
    }

    /**
     * @param {MerkleTreeHashNode[]} hashNodes
     */
    add(...hashNodes){
        this.arr.push(...hashNodes)
    }
}